<?php
namespace Teknisa\PED\Modules\Pedidos\Services;

use Zeedhi\Framework\DataSource\FilterCriteria;
use Teknisa\GER\Utilities\Environment;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Services\NewCode;

class Ped05000MetaVendaComissaoService{

	protected $environment;
	protected $dataSourceManager;
	protected $newCode;

    public function __construct(Environment $environment, NewCode $newCode, $dataSourceManager){
        $this->environment = $environment;
        $this->dataSourceManager = $dataSourceManager;
        $this->newCode = $newCode;
    }
    
    public function geraNrSeq($__new_code_pk) {
        $nrseq = $this->newCode->getCodeByTableName($__new_code_pk, $this->environment->getNrOrgTrab(), 1, 4);
        return array($nrseq, $this->environment->getNrOrgTrab());
    }
    
}
